## org.hibernate.cache.ehcache.management.impl
Class EhcacheHibernateMbeanNames

    java.lang.Object
      org.hibernate.cache.ehcache.management.impl.EhcacheHibernateMbeanNames

    public abstract class EhcacheHibernateMbeanNames

extends Object

Utility class used for getting `ObjectName`'s for ehcache hibernate MBeans

Since:
  1.7

Field Summary
`static String` `EHCACHE_HIBERNATE_TYPE` Type for the ehcache backed hibernate second level cache statistics mbean
`static String` `GROUP_ID` Group id for all sampled mbeans registered

Constructor Summary
`EhcacheHibernateMbeanNames()`

Method Summary
`static ObjectName` `getCacheManagerObjectName(String cacheManagerClusterUUID, String name)` Returns an ObjectName for the passed name
`static String` `mbeanSafe(String s)` Filter out invalid ObjectName characters from s.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GROUP_ID

    public static final String GROUP_ID

  Group id for all sampled mbeans registered

  See Also:
    Constant Field Values

### EHCACHE_HIBERNATE_TYPE

    public static final String EHCACHE_HIBERNATE_TYPE

  Type for the ehcache backed hibernate second level cache statistics mbean

  See Also:
    Constant Field Values

Constructor Detail

### EhcacheHibernateMbeanNames

    public EhcacheHibernateMbeanNames()

Method Detail

### mbeanSafe

    public static String mbeanSafe(String s)

  Filter out invalid ObjectName characters from s.

  Parameters:
    `s` -
  Returns:
    A valid JMX ObjectName attribute value.

### getCacheManagerObjectName

    public static ObjectName getCacheManagerObjectName(String cacheManagerClusterUUID,
                                                       String name)
                                                throws MalformedObjectNameException

  Returns an ObjectName for the passed name

  Parameters:
    `name` -
  Returns:
    An `ObjectName` using the input name of cache manager
  Throws:
    `MalformedObjectNameException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.